<?php
/*************************
  Coppermine Photo Gallery
  ************************
  Copyright (c) 2003-2005 Coppermine Dev Team
  v1.1 originaly written by Gregory DEMAR

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  ********************************************
  Inspired from Nibbler Add on adapted for CPG 1.4.* by deejaymoni # http://coppermine-gallery.net/forum/index.php?topic=26629.0
  Plugin Created by Frantz 04/11/2006
  Plugin Modified by Jujuv 04/02.2007
*/

if (!defined('IN_COPPERMINE')) die('Not in Coppermine...');
require ('plugins/update_history/include/init.inc.php');
// Add an install & configure & uninstall actions
$thisplugin->add_action('plugin_install','update_history_install');
$thisplugin->add_action('plugin_configure','update_history_configure');
$thisplugin->add_action('plugin_uninstall','update_history_uninstall');

// Add block action
$thisplugin->add_filter('plugin_block','update_history');

function update_history_configure()
{
require ('plugins/update_history/include/init.inc.php');
	 echo <<< EOT
	{$lang_plugin_update_history['configure']}
		<br />
		<form action="{$_SERVER['REQUEST_URI']}" method="post">
		<input type="submit" value="Ok !" name="ot" />
		</form>
EOT;
}

function update_history_install()
{
 global $CONFIG;
 if (isset($_POST['ot'])) {
return true;
}else {
		return 1;
	}
}

// Unnstall
function update_history_uninstall()
{
  return true;
}

function update_history($html)
{ 
GLOBAL $CONFIG, $matches ;
GLOBAL $lang_plugin_update_history,$lastup_date_fmt;
require ('plugins/update_history/include/init.inc.php');
        // if you want to show the update history only to admin use this ,if statment :
		// if($matches[1] != 'updatehistory' || !GALLERY_ADMIN_MODE)
		// if you want to show the update history to registered user use this, if statment:
		// if($matches[1] != 'updatehistory' || !USER_ID) 
		if($matches[1] != 'updatehistory') {
          return $matches;
        }	  
/* Days ago to start history */
$days = 3;

$end = time();
$counter = array();
$info = array();
$FORBIDDEN_SET_UPD = ($FORBIDDEN_SET) ? "AND $FORBIDDEN_SET" : '';

//echo '<br />';
starttable("100%", $lang_plugin_update_history['update']);

for ($d = 0; $d < $days; $d++) {
	$start = strtotime(date("Ymd")) - ($d*60*60*24);
$result = cpg_db_query("SELECT *,a.title AS album_title,p.owner_id AS owner FROM {$CONFIG['TABLE_PICTURES']} AS p,{$CONFIG['TABLE_ALBUMS']} AS a WHERE (APPROVED ='YES') AND (p.aid = a.aid)  AND (ctime BETWEEN $start AND $end) $FORBIDDEN_SET_UPD ORDER BY ctime DESC");
	while ($row = mysql_fetch_assoc($result)) {
		$day = localised_date($row['ctime'],$plugin_update_history_date_fmt);
		//$day = ($day, $lastup_date_fmt);
		$counter[$day][$row[album_title]] += 1;
		$info[$day][$row[album_title]] = $row;
		$users[$day][$row[album_title]][] = $row['owner'];
	}
	$end = $start;
}

$i = 0;
$test = array_keys($counter);

foreach ($counter as $day) {
	foreach ($day as $album => $number) {		
		$date = $test[$i];
		$album_info = $info[$date][$album];		
                if ($number == 1) {
                echo '<tr><td class="tableb">' .$date. ": $number". $lang_plugin_update_history['new']."<a href=\"thumbnails.php?album={$album_info['aid']}\">$album</a>".$lang_plugin_update_history['by'] ;
		} else {
                echo '<tr><td class="tableb">' .$date. ": $number". $lang_plugin_update_history['news']."<a href=\"thumbnails.php?album={$album_info['aid']}\">$album</a>".$lang_plugin_update_history['by'] ;
		}
                $links = array();
		foreach ($users[$date][$album] as $u) {
			if ($u > 0) $links[] = "<a href=\"profile.php?uid=$u\">". get_username($u) ."</a>";
		}
		$out = array_unique($links);
		echo implode(', ',$out);
		echo "</td></tr>";
	}
	$i++;
}
endtable();
}
?>